# Claim Enterprise Domain POST /api/v1/enterprises/claim/ Content-Type: application/json Allows a verified user to claim their email domain for their current workspace. This action will: 1. Verify the user's email is not from a free provider. 2. Link the current workspace to the enterprise domain. 3. Set the default role for new joiners. Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/enterprises/claim-create ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v1/enterprises/claim/: post: operationId: claim-create summary: Claim Enterprise Domain description: >- Allows a verified user to claim their email domain for their current workspace. This action will: 1. Verify the user's email is not from a free provider. 2. Link the current workspace to the enterprise domain. 3. Set the default role for new joiners. tags: - subpackage_enterprises responses: '201': description: Domain claimed successfully content: application/json: schema: $ref: '#/components/schemas/EnterpriseDomain' '400': description: Validation error content: application/json: schema: description: Any type requestBody: content: application/json: schema: $ref: '#/components/schemas/EnterpriseDomainClaim' components: schemas: DefaultRoleEnum: type: string enum: - VIEWER - EDITOR - ADMIN description: |- * `VIEWER` - VIEWER * `EDITOR` - EDITOR * `ADMIN` - ADMIN title: DefaultRoleEnum EnterpriseDomainClaim: type: object properties: default_role: $ref: '#/components/schemas/DefaultRoleEnum' description: |- The role assigned to users when they auto-join this workspace. * `VIEWER` - VIEWER * `EDITOR` - EDITOR * `ADMIN` - ADMIN title: EnterpriseDomainClaim EnterpriseWorkspace: type: object properties: id: type: integer workspace: type: integer workspace_name: type: string workspace_description: type: string default_role: type: string is_auto_generated: type: boolean description: If workspace was auto-generated when the domain was claimed created_at: type: string format: date-time members_count: type: integer required: - id - workspace - workspace_name - workspace_description - default_role - is_auto_generated - created_at - members_count title: EnterpriseWorkspace EnterpriseDomain: type: object properties: id: type: integer domain: type: string admin: type: - integer - 'null' description: The admin who claimed this domain is_verified: type: boolean created_at: type: string format: date-time workspaces: type: array items: $ref: '#/components/schemas/EnterpriseWorkspace' required: - id - domain - admin - is_verified - created_at - workspaces title: EnterpriseDomain ``` ## SDK Code Examples ```python import requests url = "https://api.example.com/api/v1/enterprises/claim/" payload = {} headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.example.com/api/v1/enterprises/claim/'; const options = {method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/enterprises/claim/" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/enterprises/claim/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.example.com/api/v1/enterprises/claim/") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('POST', 'https://api.example.com/api/v1/enterprises/claim/', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.example.com/api/v1/enterprises/claim/"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/enterprises/claim/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```